Stampfactory
Dokumentation
Dienstplan-Vorlagen

Aus Vorlage generieren

POST
/roster_templates/{rosterTemplate}/generate
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

rosterTemplate*string

The roster template ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/roster_templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/generate" \  -H "Content-Type: application/json" \  -d '{    "start_date": "2019-08-24T14:15:22Z"  }'
{  "data": {    "id": "string",    "name": "string",    "period_start": "string",    "period_end": "string",    "unit_id": "string",    "status": "string",    "created_by": "string",    "notes": "string",    "budget_cents": "string",    "entries_count": 0,    "created_at": "string",    "updated_at": "string"  }}